Pauses the run until an external event with the specified key is received.
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/wait-for-event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_key": "<string>",
"notify_url": "<string>",
"timeout_secs": 123
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/wait-for-event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_key": "<string>",
"notify_url": "<string>",
"timeout_secs": 123
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}